invalid date initial value in schema causes a broken DMO constructor
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Greg Shah % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 03/05/2018 07:41 AM - Greg Shah

The use of an invalid INITIAL clause for a date field will cause the generated DMO constructor to be broken:

ADD FIELD "sec-pay-date" OF "bocip-surchrg-dtl" AS date 

  DESCRIPTION "second payment end date" 

  FORMAT "99/99/9999" 

  INITIAL "Second pay end date"    <----- THIS IS AN INVALID DATE

  LABEL "Second pay end date" 

  POSITION 8

  MAX-WIDTH 4

  COLUMN-LABEL "Second pay end date" 

  ORDER 70

 

This was seen in customer code.  Presumably, OpenEdge tolerates this.  Please confirm this hypothesis and check to see what the initial value is

actually set to in the 4GL.  I suspect it is ? (unknown value).

The FWD conversion of this construct should be fixed.

#2 - 03/07/2018 06:30 PM - Greg Shah

- File schema.g_3489a_rev_11231.patch added

The fix for this issue is in task branch 3489a revision 11231 (and also attached here as a patch file).

Eric: Please review.
#3 - 04/12/2018 06:45 AM - Greg Shah

- % Done changed from 0 to 100

- Assignee set to Greg Shah

- Status changed from New to Closed

This fix was included in branch 3489a which was merged to trunk as revision 11245.  It will be available for download when FWD v3.2 is released.

Files

schema.g_3489a_rev_11231.patch 2.32 KB 03/07/2018 Greg Shah
